Endpoint Groups
Volumes
Volumes operations within the Catalogs API group.
List volumesGET
/catalogs/{catalogName}/schemas/{schemaName}/volumes
Operation ID
listVolumesPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
schemaName |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Create volumePOST
/catalogs/{catalogName}/schemas/{schemaName}/volumes
Operation ID
createVolumePath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
schemaName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get volumeGET
/catalogs/{catalogName}/schemas/{schemaName}/volumes/{volumeName}
Operation ID
getVolumePath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
schemaName |
string |
true |
- |
volumeName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update volumePATCH
/catalogs/{catalogName}/schemas/{schemaName}/volumes/{volumeName}
Operation ID
updateVolumePath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
schemaName |
string |
true |
- |
volumeName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Delete volumeDELETE
/catalogs/{catalogName}/schemas/{schemaName}/volumes/{volumeName}
Operation ID
deleteVolumePath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
schemaName |
string |
true |
- |
volumeName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |